LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 11-02-2012, 03:11 AM   #31
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,664

Rep: Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758

# 30
Quote:
./configure: line 987: config.log: Permission denied
If sudo was used with any install / configure / make commands in ns-allinone-2.30:
You will not have access as unprivileged user.


Quote:
Xlib: extension "GLX" missing on display ":0.0".
freeglut (Я� �"� ): OpenGL GLX extension not supported by display ':0.0'
A 3D graphics hardware is required to run a "3D OpenGL application" like aqua3d.
If you have a graphics card like Nvidia : Please try adding the driver → →
Menu : System > Administration > Additional drivers.
( Not sure how it works with an Ubuntu that's installed inside Windows.)

.

Last edited by knudfl; 11-02-2012 at 11:43 AM.
 
1 members found this post helpful.
Old 11-02-2012, 10:59 AM   #32
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
Thank you knudfl

Quote:
Originally Posted by dina View Post
./configure: line 987: config.log: Permission denied
this problem solved when i use sudo ./install

but the second problem is still as follow:
dina@ubuntu:~/Aqua-sim/ns-2.30/aqua3d-1.0.0-src$ ./aqua3d
Aqua3D running...
Writing to log file: /home/dina/Aqua-sim/ns-2.30/aqua3d-1.0.0-src/log/aqua3d.log
Xlib: extension "GLX" missing on display ":0.0".
freeglut (�?`�): OpenGL GLX extension not supported by display ':0.0'
I think there was a missed package but i don't know the solution??
What is the error???
 
Old 11-02-2012, 11:31 AM   #33
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 30
A 3D graphics hardware is required to run a "3D OpenGL application" like aqua3d.
If you have a graphics card like Nvidia : Please try adding the driver → →
Menu : System > Administration > Additional drivers.
( Not sure how it works with an Ubuntu that's installed inside Windows.)
.
in the link:
http://obinet.engr.uconn.edu/wiki/in...3D&redirect=no

i found these steps:
NVIDIA binary Xorg driver
If your machine is using an NVIDIA graphics card, it may already have the package nvidia-current (or something similar) installed, which contains the driver
If your machine is using an ATI graphics card, you may need to install the nvidia-glx package

my machine suing ATI graphics card. so, i installed nvidia-glx 185 (for ubuntu 10.10) from system-administartion-synapticpackage manager

but the error still appears--
does this package nvidia-glx 185 is enough or i choose all the others????
 
Old 11-02-2012, 11:38 AM   #34
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,664

Rep: Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758
# 33

ATI ?

Please show the output from the command : lspci -vv | grep -i vga
 
Old 11-02-2012, 12:00 PM   #35
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 33
Please show the output from the command : lspci -vv | grep -i vga
that is the result:
dina@ubuntu:~$ lspci -vv | grep -i vga
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B+
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
00:0f.0 VGA compatible controller: VMware SVGA II Adapter (prog-if 00 [VGA controller])
Subsystem: VMware SVGA II Adapter
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 
Old 11-02-2012, 12:11 PM   #36
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,664

Rep: Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758
Quote:
00:0f.0 VGA compatible controller: VMware SVGA II Adapter
(prog-if 00 [VGA controller]) Subsystem: VMware SVGA II Adapter
OK, VMware it is. And no 3D with the virtual SVGA II.

Google : 3d in vmware player ..
http://askubuntu.com/questions/17592...-vmware-player
""VMWare Player does have rudimentary 3D support,
but it needs to be enabled from the settings first;""


If you want genuine 3D, you will have to install Linux on a spare partition,
or on another hard-disk.

.
 
1 members found this post helpful.
Old 11-02-2012, 12:17 PM   #37
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
and also when i run:
dina@ubuntu:~$ lspci | grep VGA
00:0f.0 VGA compatible controller: VMware SVGA II Adapter
 
Old 11-02-2012, 12:52 PM   #38
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
Hi knudfl
I enabled 3D Acceleration/support from the vmware settings
and reboot ubuntu and then i select Gnome-Shell package


but without any responce...the error still as it is???

please knudfl how can i install Linux on a spare partition????
my operating system is windows7
Thanks for your kindly reply and support
 
Old 11-05-2012, 05:28 PM   #39
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
hi knudfl
i install aquasim (including ns-allinone-2.30 and ns-2.30) and aqua3d in ubuntu 10.10 (in a spare partition not by vmware)
now when i write ./aqua3d it opens the window of nam but when i choose a file this error appear:
Aqua3D running...
Writing to log file: /home/dina/aqua-sim/ns-2.30/aqua3d-1.0.0-src/log/aqua3d.log
Xlib: extension "NV-GLX" missing on display ":0.0".
Xlib: extension "NV-GLX" missing on display ":0.0".
Segmentation fault

what is it???
 
Old 11-05-2012, 05:54 PM   #40
dina
LQ Newbie
 
Registered: Oct 2012
Posts: 23

Rep: Reputation: Disabled
when i choose system--administration --additional drivers
and activate the graphic card this problem
Quote:
Originally Posted by dina View Post
Xlib: extension "NV-GLX" missing on display ":0.0".
Xlib: extension "NV-GLX" missing on display ":0.0".
is solved......

but the final message is still:
Aqua3D running...
Writing to log file: /home/dina/aqua-sim/ns-2.30/aqua3d-1.0.0-src/log/aqua3d.log
Segmentation fault

what it means by segmentation fault
 
Old 11-06-2012, 05:05 AM   #41
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,664

Rep: Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758
# 40
Quote:
Segmentation fault
Don't know.

Please show the output from the command : uname -m

A binary 'aqua3d' runs OK here on the 32bits (i686) Ubuntu 10.10,
even without the nvidia-drivers : The nouveau driver works too here.
.
Attached Images
File Type: jpg screen31871.jpg (29.7 KB, 15 views)

Last edited by knudfl; 11-06-2012 at 05:06 AM.
 
Old 01-18-2014, 11:30 PM   #42
mahe.ek21
LQ Newbie
 
Registered: Aug 2013
Posts: 13

Rep: Reputation: Disabled
hai,i am doing project on usn routing protocol.. how to set ocean current..

Last edited by mahe.ek21; 01-20-2014 at 08:26 AM.
 
Old 03-29-2014, 09:58 PM   #43
Gunjit
LQ Newbie
 
Registered: Mar 2014
Posts: 3

Rep: Reputation: Disabled
Cool Error in installation of aquasim

Hi! I'm installing aquasim on ubuntu 12.04 lts and during installation it is giving an error that states:
uinx/../generic/tk.h:83:23: fatal error : X11/Xlib.h: no such file or directory
 
Old 03-30-2014, 01:48 AM   #44
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,664

Rep: Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758Reputation: 2758
Post #43, @Gunjit : Welcome to LQ.

Prerequisites, see post #6. Please install before building "aquasim" :
"Generally for all ns2, all Ubuntu" :
sudo apt-get install g++ make autoconf automake libtool libxmu-dev

For the 32bits (i686) Ubuntu 12.04 the additional compilers are gcc41 / g++41 :
See post #18 here ...
http://www.linuxquestions.org/questi...022/page2.html

The build command is :
$ export CC=gcc41 CXX=g++41 && ./install

-

Last edited by knudfl; 03-30-2014 at 01:53 AM.
 
Old 04-09-2014, 02:35 AM   #45
Gunjit
LQ Newbie
 
Registered: Mar 2014
Posts: 3

Rep: Reputation: Disabled
do any additional compilers are required if i have ubuntu 12.04 lts 64 bit version
 
  


Reply

Tags
aqua3d, aquasim, g++41-compat, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
wireless ns/aquasim varshitha Linux - Wireless Networking 163 02-14-2015 07:04 PM
Aquasim & Aqua3d - ns2 swordx85 Linux - Wireless Networking 3 05-19-2013 11:20 PM
Differences between LEACH results on ns2.1b5 and ns2.35 deepa_2111 Linux - Software 15 05-16-2013 06:53 PM
aquasim varshitha Linux - Wireless Networking 0 01-29-2011 10:42 AM


All times are GMT -5. The time now is 12:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration